'Oct. 15 

Imports System.IO

'this program reads and parses a comma-separated 
'values (CSV) file and creates two parallel 
'arrays (states abd capitals) from the data

Public Class FrmStatecapitalsFromFile

    'declare arrays 
    Dim State As String()
    Dim Capital As String()
    'don't instantiate because we will get the length 
    'of the array from the file

    Private Sub FrmStatecapitalsFromFile_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim MyStreamReader As StreamReader  'object that reads files
        Dim MyFile As String                'string variable to hold contents of file
        Dim MyLines As String()             'array to hold each line of file
        Dim i As Integer                    'counter to use in for loop
        Dim MyToken As String()             'array to hold parsed content of each line


        'read all of file into variable MyFile
        Try
            MyStreamReader = New StreamReader(Directory.GetCurrentDirectory & "\Statecapitals.csv")
            MyFile = MyStreamReader.ReadToEnd
            'MsgBox(MyFile)
        Catch
            MsgBox("Problem reading data file.")
            Exit Sub
        End Try

        'parse file based on return character delimiter
        MyLines = MyFile.Split(vbCrLf)
        'MsgBox(MyLines.Length)

        'instantiate arrays now that we know size
        State = New String(MyLines.Length - 1) {}
        Capital = New String(MyLines.Length - 1) {}

        'loop through lines
        For i = 0 To MyLines.Length - 1
            MyLines(i) = MyLines(i).Trim        'clean off any extra characters
            MyToken = MyLines(i).Split(",")     'parse line based on comma delimiter
            State(i) = MyToken(0).Trim          'first token is state
            Capital(i) = MyToken(1).Trim        'second token is capital
        Next

        'display a state
        lblState1.Text = State(0)


    End Sub
End Class
